Bug 55403 - Enhancement to OS sampler: Support for timeout
Enhancement to OS sampler: Support for timeout
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.9
All All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-08-12 12:53 UTC by ndinev
Modified: 2013-08-26 08:52 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ndinev 2013-08-12 12:53:08 UTC
When running external processes with Jmeter OS sampler I need to be able to have a timeout for the sampler. If timeout occur the sampler should fail and process invoked by the sampler should be terminated
Comment 1 Philippe Mouawad 2013-08-25 14:37:33 UTC
Date: Sun Aug 25 14:11:05 2013
New Revision: 1517293

URL: http://svn.apache.org/r1517293
Log:
Bug 55403 - Enhancement to OS sampler: Support for timeout
Bugzilla Id: 55403

Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/src/core/org/apache/jmeter/testelement/AbstractTestElement.java
    jmeter/trunk/src/core/org/apache/jmeter/testelement/TestElement.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/exec/SystemCommand.java
    jmeter/trunk/src/protocol/native/org/apache/jmeter/protocol/system/NativeCommand.java
    jmeter/trunk/src/protocol/native/org/apache/jmeter/protocol/system/SystemSampler.java
    jmeter/trunk/src/protocol/native/org/apache/jmeter/protocol/system/gui/SystemSamplerGui.java
    jmeter/trunk/xdocs/changes.xml

Date: Sun Aug 25 14:36:14 2013
New Revision: 1517299

URL: http://svn.apache.org/r1517299
Log:
Bug 55403 - Enhancement to OS sampler: Support for timeout
Update docs
Bugzilla Id: 55403

Modified:
    jmeter/trunk/docs/images/screenshots/os_process_sampler.png
    jmeter/trunk/xdocs/changes.xml
    jmeter/trunk/xdocs/images/screenshots/os_process_sampler.png
    jmeter/trunk/xdocs/usermanual/component_reference.xml
Comment 2 Philippe Mouawad 2013-08-26 08:52:00 UTC
Date: Mon Aug 26 08:51:03 2013
New Revision: 1517464

URL: http://svn.apache.org/r1517464
Log:
Bug 55403 - Enhancement to OS sampler: Support for timeout
Fixed compilation error
Bugzilla Id: 55403

Modified:
    jmeter/trunk/src/jorphan/org/apache/jorphan/exec/SystemCommand.java
    jmeter/trunk/src/protocol/native/org/apache/jmeter/protocol/system/NativeCommand.java
    jmeter/trunk/src/protocol/native/org/apache/jmeter/protocol/system/SystemSampler.java